
body {
    margin-top: 80px;
    font-family: Arial, sans-serif;
} 

.heading {
    text-align: center;
}

.container { 
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    padding: 50px; 
}

.card {
    width: 250px;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: transform 0.2s;
    /* background-color: #F5F5F5; */
    display: flex;
    flex-direction: column;
    /* align-items: center; */
    justify-content: space-between; /* Space out items vertically */
    height: 100%; /* Ensure consistent height */
}

.card img {
    height: 150px; /* Set a consistent height */
    width: 100%;
    object-fit: contain; /* Maintain aspect ratio */
    border-radius: 10px;
    margin-bottom: 15px; /* Add some spacing below the image */
}

.card .content {
    display: flex;
    flex-direction: column;
    align-items: center; /* Center items horizontally */
    justify-content: center; /* Center items vertically */
    justify-content: flex-start; /* Align items to the top */
    flex-grow: 1; /* Make the content fill available space */
}

.card:hover { 
    transform: scale(1.05); 
}

.card h3 {
    margin: 10px 0; /* Adjust margin for better spacing */
}

.card p {
    font-size: 0.9em;
    color: #555;
    text-align: center;
    margin: 10px 0;
    line-height: 1.2em;
    height: 6.2em; 
    overflow: hidden; 
}

.card a {
    display: inline-block;
    padding: 10px 20px;
    color: white;
    background-color: #007bff;
    text-decoration: none;
    border-radius: 5px;
    margin-top: auto;
}

.tooltip {
    position: relative;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 460px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    font-size: 0.8em;
    position: absolute;
    z-index: 1;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
}

.imagediv {
    width: 100%;
    height: 55%;
}